(function() {
  var Build, HttpRequest, Job, Server;
  Job = require("jenkins/job").Job;
  Build = require("jenkins/build").Build;
  HttpRequest = require("jenkins/utils/http_request").HttpRequest;
  Server = (function() {
    function Server(host) {
      this.host = host;
      this.client = new HttpRequest(this.host);
      this.url = this.client.url;
    }
    Server.prototype.job_for = function(name) {
      return new Job(this.host, name);
    };
    Server.prototype.job_names = function(callback) {
      return this.jobs(function(err, jobs) {
        var job;
        return callback(err, (function() {
          var _i, _len, _results;
          _results = [];
          for (_i = 0, _len = jobs.length; _i < _len; _i++) {
            job = jobs[_i];
            _results.push(job.name);
          }
          return _results;
        })());
      });
    };
    Server.prototype.jobs = function(callback) {
      return this.client.fetch("/api/json", function(err, data) {
        return callback(err, data.jobs);
      });
    };
    return Server;
  })();
  exports.Job = Job;
  exports.Build = Build;
  exports.Server = Server;
}).call(this);
