(function() {
  var Http, HttpRequest, Url;
  Url = require('url');
  Http = require('http');
  HttpRequest = (function() {
    function HttpRequest(host) {
      this.host = host;
      this.url = Url.parse(this.host);
      this.port = this.url.port;
      this.path = this.url.pathname || "";
      this.hostname = this.url.hostname;
    }
    HttpRequest.prototype.fetch = function(path, callback) {
      var client, request, result;
      result = "";
      client = Http.createClient(this.port, this.hostname);
      client.on('error', function(err) {
        console.log("Unable to connect to " + this.host + ", did you set a JENKINS_SERVER environmental variable?");
        return callback(err, {});
      });
      request = client.request('GET', "" + this.path + path, {
        'host': this.hostname
      });
      request.on('response', function(response) {
        response.on('end', function() {
          if (response.statusCode === 200) {
            return callback(null, JSON.parse(result));
          } else {
            return callback(null, {
              'error': response.statusCode,
              'actions': [],
              'jobs': []
            });
          }
        });
        response.on('data', function(chunk) {
          return result += chunk;
        });
        return response.on('error', function(err) {
          return callback(err, {});
        });
      });
      return request.end();
    };
    return HttpRequest;
  })();
  exports.HttpRequest = HttpRequest;
}).call(this);
